Nouveauté snapshot.debian.org : tous les paquets Debian par date et version

Posté par . Modéré par Xavier Teyssier.
Tags : aucun
29
13
avr.
2010
Debian
Le projet Debian est fier d'annoncer le nouveau service http://snapshot.debian.org/, une machine à remonter le temps qui permet d'accéder à l'ensemble des anciens paquets en fonction d'une date ou d'un numéro de version.

Ce nouveau service officiel fourni par le projet Debian fait suite à l'initiative privée snapshot.debian.net qui n'était plus tenue à jour. La possibilité d'installer des paquets et de voir leur code source à une date donnée peut être très utile aussi bien pour les développeurs que pour les utilisateurs. Cela fournit une ressource précieuse pour détecter quand une régression a été introduite ou pour fournir un environnement spécifique nécessaire au fonctionnement d'une certaine application.
L'instantané d'une archive est disponible comme tout dépôt apt, ce qui permet à tous de l'utiliser simplement.

Le service d'instantanés permet aussi aux administrateurs d'installer un ensemble prévisible et testé de paquets en utilisant une vue de l'archive à une date donnée. Cette fonctionnalité permet à un administrateur de tester une mise à jour dans un environnement de test puis de répéter la procédure dans un environnement de production avec l'assurance que les mises à jour sont les mêmes que dans l'environnement de test.
Comme l'instantané couvre l'archive dans sa totalité ainsi que toutes les suites, cela peut être appliqué aux environnements qui souhaitent suivre testing d'une façon contrôlée tout aussi bien que ceux avec un contrôle des modifications plus strict, qui souhaitent auditer toutes les mises à jour de stable avant de les mettre en production.

L'archive contient actuellement presque (*) tous les paquets des archives main et security depuis mars 2005 ainsi que certaines archives particulières comme debian-volatile, debian-ports et backports.org. Ce nouveau service contient actuellement environ 6.5 téraoctets de données et grossit en permanence.

L'hébergement du service d'instantanés est fourni par le département de génie électrique et informatique de l'université de Colombie-Britannique et le Wellcome Trust Sanger Institute. Du matériel supplémentaire a été fourni par Nordic Gaming. Les données de départ ont été fournies par l'équipe Debian des ftp-master et par Fumitoshi Ukai.

(*) Certains paquets ont été retirés à cause de problèmes de licence apparus depuis qu'ils ont été distribués.
  • # Supaire!

    Posté par . Évalué à  10 .

    Comme ça, si ta debian n'est pas assez vieille, tu peux la scléroser encore un peu plus \o/

    (second degré, tout ça, hein)
  • # bonne initiative de chez debian

    Posté par (page perso) . Évalué à  4 .

    j'ai pu ainsi télécharger la source de gnomemeeting en version 1.2.3-7

    merci debian
  • # Chouette !

    Posté par . Évalué à  4 .

    Je pourrai enfin remettre des vieilles versions de paquets quand les nouvelles ont tout cassé mon système, et arrêter de retenir ma respiration à chaque fois que je fais une mise à jour (les mises à jour du serveur X ont tendance à être catastrophiques chez moi...)
  • # Au delà de debian

    Posté par (page perso) . Évalué à  10 .

    Au delà de l'intérêt direct que ça peut avoir pour la communauté debian, le fait de proposer un archivage complet d'un très grand nombre de logiciels libres est un véritable atout.

    Pour l'histoire d'abord pour l'histoire. Tout comme l'état d'internet à un instant t, il est vraiment difficile de savoir, le temps avançant, à quoi ressemblaient les logiciels libres à une date donnée. Pour internet, archive.org propose un aperçu de ce qui a existé. C'est très pratique. Que debian propose ça pour les logiciels libres est un énorme atout.

    Un autre point est la pérennité des sources libres. En effet, il arrive qu'un projet disparaisse, ou que l'on modifie énormément le code source d'un logiciel. Pourtant les versions précédentes étaient aussi sous licence libre. Et si l'hébergement officiel du projet vient à défaillir, on n'a pas forcément d'archives des différentes versions disponibles. L'intérêt de l'archive de debian est ici plus qu'évidente.

    En un mot, c'est une excellente nouvelle, et on se doit collectivement d'aider ce projet sur le long terme, car il sera forcément bénéfique.
    • [^] # Re: Au delà de debian

      Posté par (page perso) . Évalué à  3 .

      Pour faire de l'archéologie libriste, il y a aussi ftp.??.freebsd.org/pub/FreeBSD/distfiles (et peut-être d'autres équivalents chez d'autres projets). Je sais pas s'il est régulièrement nettoyé... Celui qui est chez Free a par exemple des versions de deskbar-applets de la version 2.14 à 2.30, ça fait de 09/2006 à 03/2010.
  • # Très bonne initiative

    Posté par . Évalué à  2 .

    C'est justement le genre de chose qui m'a fait défaut récemment. Les paquets en provenance d'unstable ont tendance à passer rapidement dans testing et donc à remplacer les anciens paquets. Les miroirs font assez rapidement le ménage et si on se rends compte un peu tard qu'on à un problème de compatibilité avec la dernière version, pas de bol, impossible de rétrograder le paquet parce qu'il n'existe déjà plus sur les miroirs. Vécu avec xorg. Un casse tête pas possible pour retrouver les paquets de la version 7.4.
    • [^] # Re: Très bonne initiative

      Posté par . Évalué à  2 .

      Une bonne solution quand ça arrive, c'est d'aller voir chez Ubuntu, sur http://packages.ubuntu.com/ .

      Par exemple, le paquet telepathy-gabble vient de passer en version 0.9.8 dans testing, mais je ne parviens plus à me connecter à Jabber avec.
      Je suis donc allé récupérer la version 0.8.11 chez Ubuntu et depuis ça marche nickel.

      Parfois, je ne sais pas ce qu'ils fabriquent chez Debian.

      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

      • [^] # Re: Très bonne initiative

        Posté par . Évalué à  6 .

        En même temps testing, c'est fait pour tester. Je ne vois pas ce qu'il y'a d'étrange la dedans.
        • [^] # Re: Très bonne initiative

          Posté par . Évalué à  2 .

          Oui mais non. Un test implique des corrections quand ça ne marche pas, non ?

          Bah j'attends encore une version de Seahorse qui chiffre des fichiers sans segfault, et une de telepathy-gabble qui me permette de me connecter à mes comptes Jabber.
          Les rapports de bug existent, donc y'a plus qu'à attendre.

          Par contre, les versions précédentes fonctionnaient, elles. Ce genre de bug, je m'attends à l'avoir dans Sid, pas dans testing. C'est pour ça que je suis en testing, d'ailleurs : pour avoir un niveau de qualité un cran au dessus.

          Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

          • [^] # Re: Très bonne initiative

            Posté par . Évalué à  5 .

            Par contre, les versions précédentes fonctionnaient, elles. Ce genre de bug, je m'attends à l'avoir dans Sid, pas dans testing. C'est pour ça que je suis en testing, d'ailleurs : pour avoir un niveau de qualité un cran au dessus.

            Si tout le monde fait pareil, personne ne remarque les bugs dans Sid => ils passent dans testing.

            Tu as ouvert un bug côté Debian ?
            • [^] # Re: Très bonne initiative

              Posté par . Évalué à  2 .

              Pas faux.

              Pour ce qui est des bugs, pas eu besoin de le faire, ils sont ouverts tous les deux :
              * pour Seahorse : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=571576
              * pour telepathy-gabble : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=548280

              Pour Seahorse, je connais la raison : ça vient de la libgpg11. Ça fonctionne parfaitement avec la version 1.1.6, mais le paquet Seahorse demande au moins la 1.2.0 (ce qui est idiot, car ça fonctionne même en dessous).
              En attendant, pas de solution, je ne peux plus l'utiliser.

              Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

      • [^] # Re: Très bonne initiative

        Posté par . Évalué à  3 .

        Une bonne solution quand ça arrive, c'est d'aller voir chez Ubuntu, sur http://packages.ubuntu.com/ .

        C'est une très bonne solution pour avoir un système bidouillé et branlant.

        Je suis donc allé récupérer la version 0.8.11 chez Ubuntu et depuis ça marche nickel.
        Parfois, je ne sais pas ce qu'ils fabriquent chez Debian.


        Des fois je sais pas ce qu'ils fabriquent chez Ubuntu à garder les corrections pour eux au lieu de les faire remonter chez leur amont/upstream (=Debian) voire à l'auteur initial (le projet telepathy).
        • [^] # Re: Très bonne initiative

          Posté par . Évalué à  2 .

          C'est une très bonne solution pour avoir un système bidouillé et branlant.

          Au contraire, ma Debian marche très bien comme ça.

          Des fois je sais pas ce qu'ils fabriquent chez Ubuntu à garder les corrections pour eux au lieu de les faire remonter chez leur amont/upstream (=Debian) voire à l'auteur initial (le projet telepathy).

          Il n'y a justement pas eu de correction. C'est simplement parce que la version précédente fonctionne mais n'est pas disponible dans les dépôts, seulement chez Ubuntu.

          Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

          • [^] # Re: Très bonne initiative

            Posté par . Évalué à  4 .

            dans ce cas la quand on ne veut pas foutre la merde dans sa distrib, on met la librairie qui corrige le problème ponctuellement dans /usr/local ou /opt et on la supprime quand le problème est corrigé.

            Mais commencer à mélanger des packages de distrib différentes c'est un appel au problème et c'est juste non maintenable. Et après quel crédit peuvent donner les mainteneurs des paquets à des bug reports de gens qui utilisent un mutant debian/ubuntu ?
            • [^] # Re: Très bonne initiative

              Posté par . Évalué à  0 .

              Ah mais je n'ai posté aucun bug report (je me doute que ça ne servirait pas à grand chose avec mes modifs).

              Mais tout de même, faut voir qu'on a parfois besoin de ses logiciels (genre l'IM au boulot). Alors quand la seule solution est de récupérer un paquet Ubuntu, ben j'ai pas le choix.

              Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

              • [^] # Re: Très bonne initiative

                Posté par . Évalué à  6 .

                ah si si, t'as le choix de ne pas être en testing et de ne pas mettre à jour à chaque demi-changement de paquet.

                parce que bon, c'est un peu contradictoire avec ton besoin d'avoir une plateforme qui marche sans tomber en vrac du jour au lendemain.
  • # Petite question qui me vient à l'esprit...

    Posté par . Évalué à  9 .

    Existe-t-il (ou au moins, est-il techniquement possible) un apt-like capable d'aller chercher un paquet à une date t ?
    Exemple : le paquet X (toute ressemble avec le nom d'un célèbre serveur sous Unix/Linux est fortuite) est tout cassé, mais on n'a plus l'ancien paquet dans le cache local. Peut-on, grâce à cet archivage, retrouver le paquet en faisant un truc du genre :
    apt-get install --date 20100101 X
    Ce qui nous rapatrierait le paquet qui était proposé si on avait lancé la commande le 1° janvier 2010 ? Et ce, sans connaitre la version exacte dudit paquet ?
    • [^] # Re: Petite question qui me vient à l'esprit...

      Posté par . Évalué à  3 .

      Faut que j'arrête de picoler la journée, moi...
      Je vous la refais :
      s/toute ressemble/toute ressemblance/
      s/qui était proposé/qui serait proposé/
    • [^] # Re: Petite question qui me vient à l'esprit...

      Posté par . Évalué à  10 .

      Oui, il y a ipot-get, qui permet non seulement de télécharger des paquets du passé, mais aussi du futur.

      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

    • [^] # Re: Petite question qui me vient à l'esprit...

      Posté par . Évalué à  1 .

      Presque : je crois que tu peux mettre dans ton sources.list une ligne indiquant que tu veux installer le paquet toto de la date donnée, et il sera disponible ensuite dans ton apt-get …
  • # Crash disques chez les japonnais

    Posté par (page perso) . Évalué à  2 .

    A noter que les archives ne remontent qu'au mois de Mars 2005. Et il y a une raison pour cela, c'est que le japonnais qui faisait http://snapshot.debian.net a crashé ses disques et n'a pu récupérer ses archives.

    De plus, il semble que ses articles où il mentionnait cela aient disparus eux aussi!

    La mémoire du web disparait...

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.